# Uses of Class
org.springframework.web.servlet.config.annotation.InterceptorRegistry

Packages that use InterceptorRegistry
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of InterceptorRegistry in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation with parameters of type InterceptorRegistry
Modifier and Type
Method
Description
`protected void`
DelegatingWebMvcConfiguration.`addInterceptors(InterceptorRegistry registry)`
`protected void`
WebMvcConfigurationSupport.`addInterceptors(InterceptorRegistry registry)`
Override this method to add Spring MVC interceptors for pre- and post-processing of controller invocation.
`default void`
WebMvcConfigurer.`addInterceptors(InterceptorRegistry registry)`
Add Spring MVC lifecycle interceptors for pre- and post-processing of controller method invocations and resource handler requests.